search cancel

System Requirements for Symantec Endpoint Encryption 11.3.x Management Console

book

Article ID: 151027

calendar_today

Updated On:

Products

Endpoint Encryption

Issue/Introduction

Important Update:  System requirements information for Encryption products is now published along with the other product documentation at the Broadcom Tech Docs site. Consequently, this Knowledge Base article is no longer current and will not be updated. For up-to-date system requirements information for Symantec Endpoint Encryption products, please visit our Tech Docs site.

To visit our Tech Docs site, go to techdocs.broadcom.com.  To find Encryption Documentation, click on the Broadcom business, "Symantec Security Software", then select "Information Security", and then select the product you wish to review.

For the current System Requirements for Symantec Endpoint Encryption 11.3.0, click here.

For the current System Requirements for Symantec Endpoint Encryption 11.3.1, click here.

 

 

Resolution

 

Important Note:
This information in this article is kept for historical reference only and is no longer updated.  See the System Requirements pages above for updated information.

 

 

 

 

 

 

This article detailed the system requirements for version 11.3.x of the Symantec Endpoint Encryption Management Console.

The Management Console computer must be a member of an Active Directory forest or domain.

The Management Console computer requires the Microsoft Remote Server Administration Tools.

Note: These operating systems are supported only with all the latest hot fixes and security patches from Microsoft.

Update history

Date Version Update
November 28, 2019 11.3.0

Added compatibility with the following operating systems:

  • Microsoft Windows 10 Enterprise, with the November 2019 Update (version 1909), 32-bit and 64-bit versions
  • Microsoft Windows 10 Pro, with the November 2019 Update (version 1909), 32-bit and 64-bit versions
September 13, 2019 11.3.0

Added compatibility with the following operating system:

  • Microsoft Windows 10 Enterprise LTSC 2019 (version 1809), 32-bit and 64-bit versions

 

Operating system requirements

Symantec Endpoint Encryption supports the Management Console on the following operating systems:

  • Microsoft Windows 10 Enterprise, with the November 2019 Update (version 1909), 32-bit and 64-bit versions
  • Microsoft Windows 10 Pro, with the November 2019 Update (version 1909), 32-bit and 64-bit versions
  • Microsoft Windows 10 Enterprise LTSC 2019 (version 1809), 32-bit and 64-bit versions
  • Microsoft Windows 10 Enterprise, with the May 2019 Update (version 1903), 32-bit and 64-bit versions
  • Microsoft Windows 10 Pro, with the May 2019 Update (version 1903), 32-bit and 64-bit versions
  • Microsoft Windows 10 Enterprise, with the October 2018 Update (version 1809), 32-bit and 64-bit versions
  • Microsoft Windows 10 Pro, with the October 2018 Update (version 1809), 32-bit and 64-bit versions
  • Microsoft Windows 10 Enterprise, with the April 2018 Update (version 1803), 32-bit and 64-bit versions
  • Microsoft Windows 10 Pro, with the April 2018 Update (version 1803), 32-bit and 64-bit versions
  • Microsoft Windows 10 Enterprise, with the Fall Creators Update (version 1709), 32-bit and 64-bit versions
  • Microsoft Windows 10 Pro, with the Fall Creators Update (version 1709), 32-bit and 64-bit versions
  • Microsoft Windows 10 Enterprise, with the Creators Update, 32-bit and 64-bit versions
  • Microsoft Windows 10 Pro, with the Creators Update, 32-bit and 64-bit versions
  • Microsoft Windows 10 Enterprise, with the Anniversary Update, 32-bit and 64-bit versions
  • Microsoft Windows 10 Pro, with the Anniversary Update, 32-bit and 64-bit versions
  • Microsoft Windows 10 LTSB 2016 (version 1607), 32-bit and 64-bit versions
  • Microsoft Windows 10 Enterprise, with the November 2015 update, 32-bit and 64-bit versions
  • Microsoft Windows 10 Pro, with the November 2015 update, 32-bit and 64-bit versions
  • Microsoft Windows 10 Enterprise, 32-bit and 64-bit versions
  • Microsoft Windows 10 Pro, 32-bit and 64-bit versions
  • Microsoft Windows 8.1 Enterprise, with updates, 32-bit and 64-bit versions
  • Microsoft Windows 8.1 Pro, with updates, 32-bit and 64-bit versions
  • Microsoft Windows 8 Enterprise, 32-bit and 64-bit versions
  • Microsoft Windows 8 Pro, 32-bit and 64-bit versions
  • Microsoft Windows Server 2019 Datacenter, 64-bit, with updates
  • Microsoft Windows Server 2019 Standard, 64-bit, with updates
  • Microsoft Windows Server 2016 Datacenter, 64-bit, with updates
  • Microsoft Windows Server 2016 Standard, 64-bit, with updates
  • Microsoft Windows Server 2012 R2 Datacenter, 64-bit, with updates
  • Microsoft Windows Server 2012 R2 Standard, 64-bit, with updates

.NET Framework requirements

You must make sure that .NET is enabled before you can install the components.

Depending on the version of Microsoft Windows that you use, the Symantec Endpoint Encryption Management Console requires the following versions of .NET Framework:

Operating system Required version of .NET Framework
Microsoft Windows 10 November 2019 (version 1909) 4.8
Microsoft Windows 10 Enterprise LTSC 2019 (version 1809) 4.7
Microsoft Windows 10 May 2019 (version 1903) 4.8
Microsoft Windows Server 2019 4.7 (For Symantec Endpoint Encryption 11.3.0 and later)
Microsoft Windows Server 2016 4.6.2 (For Symantec Endpoint Encryption 11.1.3 and later)
Microsoft Windows Server 2012 R2 4.5.2
Microsoft Windows 10 April 2018 Update (version 1803) 4.7.2
Microsoft Windows 10 Fall Creators Update (version 1709) 4.7.1
Microsoft Windows 10 Creators Update 4.7
Microsoft Windows 10 Anniversary Update 4.6.2
Microsoft Windows 10 LTSB 2016 (version 1607) 4.6.2
Microsoft Windows 10 November 2015 Update 4.6.1
Microsoft Windows 10 4.5.2
Microsoft Windows 8.1 4.5.2

Note: These requirements are applicable to Help Desk Recovery and Autologon as well.